resource "opnsense_kea_subnet" "subnets" {
  for_each = var.dhcp_subnets

  subnet      = each.value
  description = "${each.key} LAN"
}

resource "opnsense_kea_reservation" "esphome" {
  for_each = { for i, v in var.esphome_boards : i => v }

  subnet_id   = opnsense_kea_subnet.subnets["home"].id
  ip_address  = each.value.address
  mac_address = each.value.mac
  description = "Lease for ${each.value.name}"
}
